consoleText

download

20 Started by upstream project "cubicweb-3.23" build number 59
originally caused by:
Started by user anonymous
Building in workspace /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
[py34-web] $ hg showconfig paths.default
[py34-web] $ hg pull
pulling from http://hg.logilab.org/review/cubicweb
searching for changes
adding changesets
adding manifests
adding file changes
added 1 changesets with 1 changes to 1 files
updating bookmark cubicweb-3.23
(run 'hg update' to get a working copy)
[py34-web] $ hg update --clean --rev dd327e81ad2b209c39ffc3facba4c08869a69f0f
5 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py34-web] $ hg --config extensions.purge= clean --all
[py34-web] $ hg log --rev . --template {node}
[py34-web] $ hg log --rev . --template {rev}
[py34-web] $ hg id --branch
[py34-web] $ /bin/bash -xe /tmp/hudson6181000997346359438.sh
+ find . '(' -name 'pgdb*' -o -name 'tmpdb*' ')' -print0
+ xargs -0 rm -rf
[py34-web] $ /bin/bash -xe /tmp/hudson6591214371739010946.sh
+ PATH=/usr/lib/postgresql/9.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ tox --recreate
py34-web create: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web
py34-web installdeps: hg+http://hg.logilab.org/master/logilab/common#egg=logilab-common, -e., -r/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/requirements.txt
py34-web develop-inst: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
py34-web installed: You are using pip version 7.1.2, however version 8.1.0 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.4.1,chardet==2.3.0,colorama==0.3.2,-e hg+http://hg.logilab.org/review/cubicweb@dd327e81ad2b209c39ffc3facba4c08869a69f0f#egg=cubicweb-dev,cubicweb-blog==1.12.0,cubicweb-file==1.18.0,cubicweb-tag==1.8.3,cwclientlib==0.4.1,html2text==2016.1.8,html5lib==0.999,linecache2==1.0.0,logilab-common==1.2.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.5.0,Markdown==2.6.5,passlib==1.6.5,Pillow==3.1.1,psycopg2==2.5.4,py==1.4.25,pyasn1==0.1.7,python-apt==0.9.3.12,python-dateutil==2.5.0,python3-ldap==0.9.4.2,pytz==2016.1,requests==2.4.3,rql==0.34.0,six==1.8.0,tox==1.9.2,traceback2==1.4.0,Twisted==16.0.0,unattended-upgrades==0.1,unittest2==1.1.0,urllib3==1.9.1,virtualenv==1.11.6,waitress==0.8.10,WebOb==1.5.1,WebTest==2.0.20,wheel==0.24.0,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0,zope.interface==4.1.3
py34-web runtests: PYTHONHASHSEED='1598910282'
py34-web runtests: commands[0] | touch /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/share/cubicweb/cubes/__init__.py
py34-web runtests: commands[1] | /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test
=================== unittest_views_baseviews.py ====================
2016-03-15 09:58:42 - (cubicweb.appobject) WARNING: can't find any workflow for CWUser
2016-03-15 09:59:00 - (cubicweb.web) WARNING: [3.17] massmailing extracted to cube massmailing that was not found. try installing it.
2016-03-15 09:59:00 - (cubicweb.web) WARNING: [3.17] igeocoding extracted to cube geocoding that was not found. try installing it.
2016-03-15 09:59:01 - (cubicweb.web) WARNING: [3.17] embedding extracted to cube embed that was not found. try installing it.
2016-03-15 09:59:01 - (cubicweb.web) WARNING: [3.17] isioc extracted to cube sioc that was not found. try installing it.
.............
========================= unittest_web.py ==========================
..127.0.0.1 - - [15/Mar/2016 09:59:07] "POST /ajax?fname=fileupload HTTP/1.1" 200 135
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon5ae90d40d0c745c1a4f607a1dcb959d9 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:09] "POST /ajax?fname=fileupload HTTP/1.1" 200 82
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anona933d60bb7354e7eb67a9ead6d27ff8d Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:11] "GET / HTTP/1.1" 200 7786
127.0.0.1 - - [15/Mar/2016 09:59:12] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon66c3d99db9ec431e8bf88c261979b894 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon6e5381534aeb41cc9c93e2e65e6a289e Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:13] "GET //6 HTTP/1.1" 403 5581
127.0.0.1 - - [15/Mar/2016 09:59:15] "GET /login?__login=admin&__password=gingkow HTTP/1.1" 303 0
127.0.0.1 - - [15/Mar/2016 09:59:15] "GET //6 HTTP/1.1" 200 11845
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: adminb84257545cdb4b05a2225d3d90f6b796 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon85b27d01a24e459a8a8ee1c1e921d554 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:16] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonccd3dfc1df8540fda9034923cf8c3b43 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:18] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon712de19dd12e4037b58bea2deb39a698 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 09:59:19] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonb97a3da00ffe4bbdb1e6c8f66b0d5da5 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
======================== unittest_uicfg.py =========================
.........
===================== unittest_views_xmlrss.py =====================
.
=================== unittest_views_cwsources.py ====================
.
================= unittest_views_apacherewrite.py ==================
.
====================== unittest_webconfig.py =======================
...
================ unittest_views_basecontrollers.py =================
................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype to_entity: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype read_permission: ['RQLExpression', 'CWGroup']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
2016-03-15 09:59:39 - (cubicweb.session) WARNING: no schema for 7
2016-03-15 09:59:39 - (cubicweb.session) WARNING: no schema for 7
..2016-03-15 09:59:40 - (cubicweb.web) WARNING: param login-subject mis-formatted
........................................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon7602d38aedb543d3a0216842fde92704 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
===================== unittest_http_headers.py =====================
.
====================== unittest_formfields.py ======================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype owned_by: ['CWCache', 'State', 'Version', 'Filesystem', 'CWProperty', 'CWConstraintType', 'CWDataImport', 'TreeNode', 'EmailAddress', 'DirectoryPermission', 'CWSource', 'BlogEntry', 'CWAttribute', 'MicroBlogEntry', 'Directory', 'CWComputedRType', 'BaseTransition', 'TrInfo', 'CWRelation', 'CWUser', 'Salesterm', 'Personne', 'RQLExpression', 'Workflow', 'File', 'SubWorkflowExitPoint', 'Transition', 'CWUniqueTogetherConstraint', 'CWRType', 'Societe', 'CWSourceHostConfig', 'WorkflowTransition', 'ExternalUri', 'Blog', 'Folder', 'Tag', 'CWGroup', 'UserAccount', 'Project', 'MicroBlog', 'CWEType', 'Bookmark', 'CWConstraint', 'CWSourceSchemaConfig', 'Ticket']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
......
======================== unittest_facet.py =========================
....................
==================== unittest_views_pyviews.py =====================
..
=============== unittest_views_staticcontrollers.py ================
.2016-03-15 10:00:11 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
.2016-03-15 10:00:11 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
....
===================== unittest_magicsearch.py ======================
..................
===================== unittest_views_forms.py ======================
...
===================== unittest_viewselector.py =====================
.......................
====================== unittest_urlrewrite.py ======================
........
================= unittest_views_basetemplates.py ==================
..
========================= test_jscript.py ==========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon20fa3eaf0234453a8db00e63de35868b Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon5a3c5a02867a44c0a4fddaffbf44c2a7 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anona1101ef82bef4aada6363d325d7b422c Open session found while turning repository off
%sessionid, RuntimeWarning)
.
========================== test_views.py ===========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: adminf2c99e536c6c44b3b4081af5745dd685 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype allowed_transition: ['BaseTransition', 'Transition', 'WorkflowTransition']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype constrained_by: ['CWRelation', 'CWAttribute']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
..2016-03-15 10:01:10 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['name', 'modification_date'] at 140024302873176>
2016-03-15 10:01:10 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['name', 'modification_date'] at 140024302873176>
2016-03-15 10:01:10 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['name', 'modification_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
2016-03-15 10:01:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'name', 'modification_date', 'creation_date'] at 140024302873176>
.....
=================== unittest_views_editforms.py ====================
..................
========================= unittest_http.py =========================
...........................
====================== unittest_views_json.py ======================
.../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anona461ebe04bcd4b94bb7e71f126913433 Open session found while turning repository off
%sessionid, RuntimeWarning)
.2016-03-15 10:01:41 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anoneb95e0b687ce441586ea6e7b49c26329 Open session found while turning repository off
%sessionid, RuntimeWarning)
.....2016-03-15 10:01:43 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
.
=================== unittest_views_errorform.py ====================
....
==================== unittest_views_treeview.py ====================
.
=================== unittest_views_navigation.py ===================
...........
=============== unittest_views_searchrestriction.py ================
........
======================= unittest_request.py ========================
....
===================== unittest_application.py ======================
2016-03-15 10:01:48 - (cubicweb.web) ERROR: Exception('whatever',)
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 163, in call
view.render(w=w)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 510, in call
raise Exception('whatever')
Exception: whatever
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon93b9b46950b243589015c934b5839fdd Open session found while turning repository off
%sessionid, RuntimeWarning)
./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon8001cdad672941cbb15eae7d916bd70f Open session found while turning repository off
%sessionid, RuntimeWarning)
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype parent: ['Directory', 'Filesystem']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
.EE....2016-03-15 10:02:02 - (cubicweb.web) WARNING: the view toto could not be found
.EEE.EE.EEE.....
======================================================================
ERROR: test_create_subentity (unittest_application.ApplicationTC)
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 316, in test_create_subentity
'eid': (unicode(topd.eid), u'B'),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_delete_mandatory_composite (unittest_application.ApplicationTC)
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 490, in test_delete_mandatory_composite
dir_eid = unicode(mydir.eid)
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_object_mixed_composite_subentity_removal_1 (unittest_application.ApplicationTC)
Editcontroller: detaching several subentities respects each rdef's
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 455, in test_object_mixed_composite_subentity_removal_1
etype='Filesystem')
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_object_mixed_composite_subentity_removal_2 (unittest_application.ApplicationTC)
Editcontroller: detaching several subentities respects each rdef's
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 475, in test_object_mixed_composite_subentity_removal_2
self._edit_parent(topd.eid, parent_eid=None, role='object')
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_object_subentity_removal (unittest_application.ApplicationTC)
Editcontroller: detaching a composite relation removes the subentity
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 362, in test_object_subentity_removal
self._edit_parent(topd.eid, parent_eid=sub1.eid, role='object')
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_reparent_subentity (unittest_application.ApplicationTC)
Editcontroller: re-parenting a subentity does not remove it
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 377, in test_reparent_subentity
self._edit_parent(subd.eid, parent_eid=top2.eid)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_reparent_subentity_inlined (unittest_application.ApplicationTC)
Editcontroller: re-parenting a subentity does not remove it
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 396, in test_reparent_subentity_inlined
self._edit_in_version(ticket.eid, version_eid=version2.eid)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 274, in _edit_in_version
'eid': unicode(ticket_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_subject_mixed_composite_subentity_removal_1 (unittest_application.ApplicationTC)
Editcontroller: detaching several subentities respects each rdef's
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 416, in test_subject_mixed_composite_subentity_removal_1
self._edit_parent(subd.eid, parent_eid=topd.eid)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_subject_mixed_composite_subentity_removal_2 (unittest_application.ApplicationTC)
Editcontroller: detaching several subentities respects each rdef's
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 436, in test_subject_mixed_composite_subentity_removal_2
self._edit_parent(subd.eid, parent_eid=fs.eid)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
======================================================================
ERROR: test_subject_subentity_removal (unittest_application.ApplicationTC)
Editcontroller: detaching a composite relation removes the subentity
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib/python3.4/unittest/case.py", line 58, in testPartExecutor
yield
File "/usr/lib/python3.4/unittest/case.py", line 577, in run
testMethod()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 345, in test_subject_subentity_removal
self._edit_parent(sub1.eid, parent_eid=None, **attrs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 257, in _edit_parent
'eid': unicode(dir_eid),
NameError: name 'unicode' is not defined

no stdout
no stderr
====================== unittest_controller.py ======================
..
========================= unittest_form.py =========================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype tags: ['Tag', 'BlogEntry', 'CWUser']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...........
===================== unittest_breadcrumbs.py ======================
.
==================== unittest_propertysheet.py =====================
.
==================== unittest_views_actions.py =====================
..
===================== unittest_formwidgets.py ======================
...
======================= unittest_reledit.py ========================
.S2016-03-15 10:02:09 - (cubicweb.rtags) WARNING: using explict subject type in <property object at 0x7f59fbabb318>.tag_object_of() has no effect, use ("*", concerns, Project) instead of (Ticket, concerns, Project)
.
======================================================================
SKIPPED: test_default_forms (unittest_reledit.ClickAndEditFormTC)
Need to check if this test should still run post reledit/doreledit merge
==================== unittest_idownloadable.py =====================
2016-03-15 10:02:10 - (cubicweb.web) ERROR: OSError()
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 120, in call
view.render()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/idownloadable.py", line 94, in call
self.w(adapter.download_data())
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_idownloadable.py", line 56, in download_data
raise IOError()
OSError
......
===================== unittest_urlpublisher.py =====================
.............
====================== unittest_views_csv.py =======================
..
-> creating tables
-> inserting default user and default groups.
-> storing the schema in the database
-> database for instance data initialized.
Building autopopulate for database tmpdb
*******************************************************************************
Ran 363 test cases in 223.33s (213.16s CPU), 10 errors, 1 skipped
38 modules OK (1 failed)
failures: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application [10/28]
ERROR: InvocationError: '/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test'
___________________________________ summary ____________________________________
ERROR: py34-web: commands failed
Build step 'Execute shell' marked build as failure
Sending e-mails to: dlaxalde@logilab.fr jcr@logilab.fr syt@logilab.fr david@logilab.fr
[PostBuildScript] - Execution post build scripts.
[py34-web] $ /bin/bash -xe /tmp/hudson6340327312648451530.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb dd327e81ad2b http://jenkins.logilab.fr/job/cubicweb-3.23/TOXENV=py34-web/59/ --status failure
<br/>

log from execution
download